Public Attributes | List of all members
sec_cb_fun_t Struct Reference
BLE » Security Manager(SM) » Structures

SEC register call back. More...

`#include <ble_sec.h>`

## Public Attributes
void(* | app_sec_enc_req_cb )(uint8_t conn_idx, sec_enc_req_t *p_enc_req)
| Security manager module receives encryption request callback. More...
void(* | app_sec_enc_ind_cb )(uint8_t conn_idx, sec_enc_ind_t enc_ind, uint8_t auth)
| Security manager module receives encryption indication callback, see SEC Auth Flag. More...
void(* | app_sec_keypress_notify_cb )(uint8_t conn_idx, sec_keypress_notify_t notify_type)
| Security manager module receives key press notify callback. More...
void(* | app_sec_key_missing_cb )(uint8_t conn_idx, sec_key_missing_reason_t reason)
| Security manager module receives key missing callback, see sec_key_missing_reason_t. More...

## Detailed Description

SEC register call back.

Definition at line 233 of file ble_sec.h.

## Member Data Documentation

## ◆ app_sec_enc_ind_cb

void(* sec_cb_fun_t::app_sec_enc_ind_cb) (uint8_t conn_idx, sec_enc_ind_t enc_ind, uint8_t auth)

Security manager module receives encryption indication callback, see SEC Auth Flag.

Definition at line 236 of file ble_sec.h.

## ◆ app_sec_enc_req_cb

void(* sec_cb_fun_t::app_sec_enc_req_cb) (uint8_t conn_idx, sec_enc_req_t *p_enc_req)

Security manager module receives encryption request callback.

Definition at line 235 of file ble_sec.h.

## ◆ app_sec_key_missing_cb

void(* sec_cb_fun_t::app_sec_key_missing_cb) (uint8_t conn_idx, sec_key_missing_reason_t reason)

Security manager module receives key missing callback, see sec_key_missing_reason_t.

Definition at line 238 of file ble_sec.h.

## ◆ app_sec_keypress_notify_cb

void(* sec_cb_fun_t::app_sec_keypress_notify_cb) (uint8_t conn_idx, sec_keypress_notify_t notify_type)

Security manager module receives key press notify callback.

Definition at line 237 of file ble_sec.h.

The documentation for this struct was generated from the following file:

- ble_sec.h